var Schema = require('mongoose').Schema;

var Datafield = new Schema({
  datafieldname: { type: String},
  datafieldtype: { type: String}
});


var exerciseSchema = new Schema({
  name: {type: String, unique: true, required: true},
  type: String,
  description: String,
  difficulty: Number,
  musclearray: [Number],
  keywords: [String],
  alternatives: [String],
  datafields: [Datafield]
});

module.exports = exerciseSchema;